internal::indexer_input_port< T > Class Template Reference

`#include <_flow_graph_indexer_impl.h>`

Inheritance diagram for internal::indexer_input_port< T >:
Collaboration diagram for internal::indexer_input_port< T >:

## Public Member Functions

void | set_up (void *p, forward_function_ptr f, graph &g)
void | reset_receiver (reset_flags) __TBB_override

## Protected Member Functions

task * | try_put_task (const T &v) __TBB_override
graph & | graph_reference () const __TBB_override

## Private Types

typedef task *(* | forward_function_ptr) (T const &, void *)

## Private Attributes

void * | my_indexer_ptr
forward_function_ptr | my_try_put_task
graph * | my_graph

## Friends

template<typename R , typename B >
class | run_and_put_task
template<typename X , typename Y >
class | internal::broadcast_cache
template<typename X , typename Y >
class | internal::round_robin_cache

## Detailed Description

### template<typename T>
class internal::indexer_input_port< T >

Definition at line 83 of file _flow_graph_indexer_impl.h.

## Member Typedef Documentation

## forward_function_ptr

template<typename T >

typedef task*(* internal::indexer_input_port< T >::forward_function_ptr) (T const &, void *)

private

Definition at line 86 of file _flow_graph_indexer_impl.h.

## Member Function Documentation

## graph_reference()

template<typename T >

graph& internal::indexer_input_port< T >::graph_reference | ( |  | ) | const

inline protected

Definition at line 136 of file _flow_graph_indexer_impl.h.

{
return *my_graph;
}

References internal::indexer_input_port< T >::my_graph.

## reset_receiver()

template<typename T >

void internal::indexer_input_port< T >::reset_receiver | ( | reset_flags |  | ) |

inline

Definition at line 144 of file _flow_graph_indexer_impl.h.

{ }

## set_up()

template<typename T >

void internal::indexer_input_port< T >::set_up | ( | void * | p,
|  | forward_function_ptr | f,
|  | graph & | g
| ) |  |

inline

Definition at line 100 of file _flow_graph_indexer_impl.h.

{
my_indexer_ptr = p;
my_try_put_task = f;
my_graph = &g;
}

References internal::indexer_input_port< T >::my_graph, internal::indexer_input_port< T >::my_indexer_ptr, internal::indexer_input_port< T >::my_try_put_task, and p.

## try_put_task()

template<typename T >

task* internal::indexer_input_port< T >::try_put_task | ( | const T & | v | ) |

inline protected

Definition at line 132 of file _flow_graph_indexer_impl.h.

{
return my_try_put_task(v, my_indexer_ptr);
}

References internal::indexer_input_port< T >::my_indexer_ptr, and internal::indexer_input_port< T >::my_try_put_task.

## Friends And Related Function Documentation

## internal::broadcast_cache

template<typename T >
template<typename X , typename Y >

friend class internal::broadcast_cache

friend

Definition at line 130 of file _flow_graph_indexer_impl.h.

## internal::round_robin_cache

template<typename T >
template<typename X , typename Y >

friend class internal::round_robin_cache

friend

Definition at line 131 of file _flow_graph_indexer_impl.h.

## run_and_put_task

template<typename T >
template<typename R , typename B >

friend class run_and_put_task

friend

Definition at line 129 of file _flow_graph_indexer_impl.h.

## Member Data Documentation

## my_graph

template<typename T >

graph* internal::indexer_input_port< T >::my_graph

private

Definition at line 93 of file _flow_graph_indexer_impl.h.

Referenced by internal::indexer_input_port< T >::graph_reference(), and internal::indexer_input_port< T >::set_up().

## my_indexer_ptr

template<typename T >

void* internal::indexer_input_port< T >::my_indexer_ptr

private

Definition at line 85 of file _flow_graph_indexer_impl.h.

Referenced by internal::indexer_input_port< T >::set_up(), and internal::indexer_input_port< T >::try_put_task().

## my_try_put_task

template<typename T >

forward_function_ptr internal::indexer_input_port< T >::my_try_put_task

private

Definition at line 87 of file _flow_graph_indexer_impl.h.

Referenced by internal::indexer_input_port< T >::set_up(), and internal::indexer_input_port< T >::try_put_task().

The documentation for this class was generated from the following file:

- _flow_graph_indexer_impl.h

internal::indexer_input_port::my_graph
graph * my_graph
Definition: _flow_graph_indexer_impl.h:93
internal::indexer_input_port::my_indexer_ptr
void * my_indexer_ptr
Definition: _flow_graph_indexer_impl.h:85
internal::indexer_input_port::my_try_put_task
forward_function_ptr my_try_put_task
Definition: _flow_graph_indexer_impl.h:87
p
void const char const char int ITT_FORMAT __itt_group_sync p
Definition: ittnotify_static.h:91

Copyright © 2005-2020 Intel Corporation. All Rights Reserved.

Intel, Pentium, Intel Xeon, Itanium, Intel XScale and VTune are registered trademarks or trademarks of Intel Corporation or its subsidiaries in the United States and other countries.

* Other names and brands may be claimed as the property of others.